#!/bin/bash
# 18) Configuración de epoptes:

function configurar_epoptes_cliente() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos la IP Servidor Epoptes a configurar en los clientes (p.e. IES Bajo Aragón):
    IPSERVIDOR="$(jq -r ".${PARAM}[${CONT}].ipservidor" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-conf-epoptes-ip-servidor"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "${IPSERVIDOR}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente la IP Servidor Epoptes: ${IPSERVIDOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar la IP Servidor Epoptes: ${IPSERVIDOR}"
    fi
}

"${echo_titulo}" "*  [[ Configuración de Epoptes Cliente... ]]  *"
PARAM="epoptes.cliente.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Servicio Epoptes - Cliente" "configurar_epoptes_cliente"

function configurar_epoptes_servidor() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos la IP Servidor Epoptes y la asignamos de forma manual al equipo servidor:
    IPSERVIDOR="$(jq -r ".${PARAM}[${CONT}].ipservidor" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-nmcli"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "--add-ip" "${IPSERVIDOR}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente la IP manual en el Servidor Epoptes: ${IPSERVIDOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar la IP manual en el Servidor Epoptes: ${IPSERVIDOR}"
    fi
    # Añadimos al usuario gráfico al grupo epoptes:
    # vx-funcs-users vx-anadir_a_grupos_secundarios $(vx-usuario-grafico) epoptes
    EJECUTABLE="/usr/bin/vx-funcs-users"
    GRUPO_EPOPTES="epoptes"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" vx-anadir_a_grupos_secundarios "${USUGRAFICO}" ${GRUPO_EPOPTES} ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha añadido el usuario grafico al grupo ${GRUPO_EPOPTES}: ${USUGRAFICO} => ${GRUPO_EPOPTES}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para agregar al usuario gráfico al grupo ${GRUPO_EPOPTES}: ${USUGRAFICO} => ${GRUPO_EPOPTES}"
    fi
}

"${echo_titulo}" "*  [[ Configuración del Servidor Epoptes... ]]  *"
PARAM="epoptes.servidor.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Servicio Epoptes - Servidor" "configurar_epoptes_servidor"

